#!/bin/bash
################################################################
# This script was created by: MDK - mdkcore@gmail.com          #
# http://thecoreme.org/blog/projects                           #
# Sep 10 2009                                                  #
# Last update on Feb 17 2010                                   #
#                                                              #
# Simple script to complie KWarBots (by now)                   #
################################################################

# test if 'build' dir already exist
if [ ! -d build ]
then
	mkdir build
fi

cd build
cmake ../src
make

# if 'kwarbots' exists, the compilation finishes right
if [ ! -f kwarbots ]
then
	cd ..
	
	# just remove old 'kwarbots' compilation
	if [ -f kwarbots ]
	then
		rm kwarbots
	fi

	exit -1
fi

mv kwarbots ..
cd ..

echo ""
echo "KWarBots is under heavy development, run 'kwarbots' to test the game."

