// Vertex coordinates in eye space
varying vec4 vertexEye;


void main()
{
    vec4 positionWorld;
    positionWorld.x = dot(gl_MultiTexCoord1, gl_Vertex);
    positionWorld.y = dot(gl_MultiTexCoord2, gl_Vertex);
    positionWorld.z = dot(gl_MultiTexCoord3, gl_Vertex);
    positionWorld.w = 1.0;

    vertexEye = gl_ModelViewMatrix * positionWorld;
    gl_Position = gl_ProjectionMatrix * vertexEye;
}
