/*
 * Copyright 2008  Rivo Laks <rivolaks@hot.ee>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ASTEROID_H
#define ASTEROID_H

#include "gameobject.h"

class Model;

/**
 * @author Rivo Laks <rivolaks@hot.ee>
 */
class Asteroid : public GameObject
{
public:
    Asteroid(float radius);
    ~Asteroid();

    virtual Type type() const  { return T_Asteroid; }
    virtual void setModel(Model* m);

protected:
    Vector3f* mCollVertexData;
};

#endif
