/*
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA  02110-1301, USA.

    ---
    Copyright (C) 2011, Dmitry Chernov diman4ik.chernov@gmail.com
 */

#include "match_length_dialog.h"


MatchLengthDialog::MatchLengthDialog( QWidget* parent ) : QDialog(parent)
{
    m_ui.setupUi(this);
    connect( m_ui.pushButton, SIGNAL( clicked() ), SLOT( close() ) );
}

MatchLengthDialog::~MatchLengthDialog()
{}

int MatchLengthDialog::length()
{
    return m_ui.spinBox->value();
}
