/*
    Gamefu, KDE All-Machine Emulator Frontend for UNIX
    Also a collection manager in its spare time ;)

    Copyright (c) 2005      by Michaël Larouche       <larouche@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef GAMEFUAPPLICATION_H
#define GAMEFUAPPLICATION_H

#include <kuniqueapplication.h>

class GamefuMainWindow;
/**
 * Gamefu - KDE All-Machine Emulator Frontend for UNIX Main Instance class.
 *
 * @author Michaël Larouche
 */
class GamefuApplication : public KUniqueApplication
{
	Q_OBJECT
public:
	GamefuApplication();
	~GamefuApplication();

	virtual int newInstance();

private slots:
	void slotAllSystemsLoaded();

private:
	GamefuMainWindow *mainWin;
};

#endif
