/*
    gamefu_launch - Command line frontend

    Copyright (c) 2006      by Michaël Larouche       <larouche@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef GAMEFU_LAUNCH_H
#define GAMEFU_LAUNCH_H

#include <qobject.h>
#include <kurl.h>

namespace Gamefu
{
	class GameLauncher;
}

class GamefuLaunch : public QObject
{
	Q_OBJECT
public:
	GamefuLaunch(QObject *parent = 0);
	
	void setRom(const KURL &rom);

public slots:
	void run();

private slots:
	void launchRom();

private:
	KURL romToLaunch;
	Gamefu::GameLauncher *launcher;
};

#endif
