/*
    imagefillerplugin.h - Image Filler plugin.

    Copyright (c) 2006      by Michaël Larouche       <larouche@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef GAMEFUIMAGEFILLERPLUGIN_H
#define GAMEFUIMAGEFILLERPLUGIN_H

#include <gamefuplugin.h>
#include <kurl.h>

class ImageFillerPlugin : public Gamefu::Plugin
{
	Q_OBJECT
public:
	ImageFillerPlugin(QObject *parent, const char *name, const QStringList &args);
	~ImageFillerPlugin();

private slots:
	/**
	 * Menu command to looks for titlescreen from a directory..
	 */
	void collectionImageLookup();
};

#endif
