/***************************************************************************
 *   Copyright (C) 2006 by Pino Toscano <toscano.pino@tiscali.it>          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include <kaboutdata.h>
#include <kapplication.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include "kombinationserver.h"

int main(int argc, char *argv[])
{
	KAboutData about("kombinationserver", 0, ki18n("Kombination Server"), "0.1", ki18n("A server for Kombination - a Scrabble clone"), KAboutData::License_GPL, ki18n("© 2006 Albert Astals Cid\n© 2006 Pino Toscano"));
	about.addAuthor(ki18n("Albert Astals Cid"), KLocalizedString(), "aacid@kde.org");
	about.addAuthor(ki18n("Pino Toscano"), KLocalizedString(), "toscano.pino@tiscali.it");
	KCmdLineArgs::init(argc, argv, &about);
	KApplication app;
	app.setTopWidget(new KombinationServer());
	return app.exec();
}
