/***************************************************************************
 *   Copyright (C) 2005 by Albert Astals Cid <tsdgeos@terra.es>            *
 *   Copyright (C) 2006 by Pino Toscano <toscano.pino@tiscali.it>          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef BOARDTEST_H
#define BOARDTEST_H

#include <kmainwindow.h>

class QComboBox;
class boardWidget;
class tileWidget;
class tileBox;
class QGraphicsView;
class KombinationScene;

class BoardTest : public KMainWindow
{
Q_OBJECT
	public:
		BoardTest();
		~BoardTest();
	
	private slots:
		void changeStyle(const QString &newStyle);

	private:
		QComboBox *m_style;
		tileBox *m_box;
		QGraphicsView * view;
		KombinationScene * scene;

		boardWidget *m_board;
		tileWidget *m_tileWidget;
		tileWidget *m_exchangeWidget;
};

#endif
