/*
    Copyright 2008 Gábor Lehel <illissius@gmail.com>

    This file is part of Superpong.

    Superpong is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Superpong is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Superpong (files COPYING and COPYING.LESSER).
    If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef PONG_VIEW_H
#define PONG_VIEW_H

#include <QGraphicsView>

class PongView: public QGraphicsView
{
    typedef QGraphicsView super;

    public:
    PongView( QGraphicsScene *s, QWidget *p );
    QSize sizeHint() const;

    protected:
    void resizeEvent( QResizeEvent *e );

    private:
    qreal m_scale;
};

#endif
