uniform vec3 lightColor;

/**
 * Inputs:
 *  Lcolor - color of the light
 * Returns:
 *  Final color of the surface
 **/
vec3 calculateMaterialAmbient(vec3 Lcolor);


void main()
{
    vec3 color = calculateMaterialAmbient(lightColor);

    gl_FragColor = vec4(color, 1.0);
}
