/*
    gbxsystem.h - Game Boy/Game Boy Color Gamefu system plugin

    Copyright (c) 2006      by Michaël Larouche       <larouche@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/
#ifndef GBXSYSTEM_H
#define GBXSYSTEM_H

#include <system.h>

/**
@author Michaël Larouche
*/
class GbxSystem : public Gamefu::System
{
	Q_OBJECT
public:
    GbxSystem(QObject *parent, const char *name, const QStringList &args);
    virtual ~GbxSystem();

	static GbxSystem *system();

private:
	class Private;
	Private *d;

	static GbxSystem *s_gbxSystem;
};

#endif
