/***************************************************************************
 *   Copyright 2008-2009 Stefan Majewsky <majewsky@gmx.net>
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public
 *   License as published by the Free Software Foundation; either
 *   version 2 of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 ***************************************************************************/

#ifndef KOLF_VIEW2D_H
#define KOLF_VIEW2D_H

#include <QGraphicsView>

namespace Kolf
{
	class Scene;

	class View2D : public QGraphicsView
	{
		Q_OBJECT
		public:
			View2D();

			void setScene(Kolf::Scene* scene);
		protected:
			virtual void leaveEvent(QEvent*);
			virtual void resizeEvent(QResizeEvent*);
		private:
			Kolf::Scene* m_scene;
	};
}

#endif // KOLF_VIEW2D_H
