#ifndef _KGTOOLBOX_H_
#define _KGTOOLBOX_H_

#include <QToolBox>
#include <QList>
#include <QWidget>
#include <QXmlStreamWriter>
#include <QTextStream>
#include <QDomDocument>
#include "KGTile.h"
#include "KGContainer.h"

#include "KGToolDrawer.h"

/** 
    @author Keith Neuse<KNeuse@Gmail.com>
    This class controls the QToolBox for selecting objects
**/

class KGToolBox: public QToolBox
{
Q_OBJECT
public:
    /** constructor **/
    KGToolBox(QWidget *parent = 0);

    /**
	adds a panal to the toolBox
	@PARAM title = the text to appear on the panel
	@PARAM layerID = the layer ID of the layer which objects will be placed on within the level
    **/
    void addTab(QString, int layerID);
};

#endif
