#ifndef _KPAGELISTVIEWDELEGATE_H_
#define _KPAGELISTVIEWDELEGATE_H_

#include <QAbstractItemDelegate>
#include <QModelIndex>
#include <QPainter>
#include <QApplication>

#define KP_ICON_SIZE 190

class KPageListViewDelegate : public QAbstractItemDelegate
{
  public:
    KPageListViewDelegate( QObject *parent = 0 );

    virtual void paint( QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index ) const;
    virtual QSize sizeHint( const QStyleOptionViewItem &option, const QModelIndex &index ) const;

  private:
    void drawFocus( QPainter*, const QStyleOptionViewItem&, const QRect& ) const;
};

#endif
