#include <KAboutData>
#include <KApplication>
#include <KCmdLineArgs>

#include "kollagame.h"

static const char description[] =
    I18N_NOOP("A Game Engine");

static const char version[] = "0.1";

int main(int argc, char *argv[])
{
    KAboutData about("Kollagame", 0, ki18n("kollagame"), version, ki18n(description),
                     KAboutData::License_GPL, ki18n("(C) 2007 Keith Neuse"), KLocalizedString(), 0, "KNeuse@GMail.com");
    KCmdLineArgs::init( argc, argv, &about );

    KApplication app;
    
    Kollagame *kollagame = new Kollagame();
    kollagame->show();

    return app.exec();

}
