/***************************************************************************
 *   Copyright (C) 2005 by Albert Astals Cid <tsdgeos@terra.es>            *
 *   Copyright (C) 2005 by Pino Toscano      <toscano.pino@tiscali.it>     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef MINIPROGRESSBAR_H
#define MINIPROGRESSBAR_H

#include <QFrame>

class miniProgressBar : public QFrame
{
Q_OBJECT
	public:
		miniProgressBar(Qt::Orientation orientation, QWidget *parent);

		void setProgress(double progress);
		double progress() const;

		void setOrientation(Qt::Orientation orientation);
		Qt::Orientation orientation() const;

	protected:
		virtual void paintEvent(QPaintEvent *event);

	private:
		double m_progress;
		Qt::Orientation m_orientation;
};
#endif
