/***************************************************************************
 *   Copyright (C) 2008 Copyright 2008  Tom Vollerthun <vollerthun@gmx.de>
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public
 *   License as published by the Free Software Foundation; either
 *   version 2 of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 ***************************************************************************/


#ifndef NOP_OUT_H_
#define NOP_OUT_H_

#include "ds/package.h"

/**
 * This class provides the means to store the information in a Package object.
 * The file format is a kind of XML.
 *
 * Most of the information is processed by nog_out, the other information of the file should be prett straight forward.
 * */
class NopOut
{
    public:

        static const QString PACKAGE_TAG;

        static const QString DEFAULT_DESCRIPTION_TAG;

        static QString createOutput(Package * package, bool saveMatrix=false);
        static void save(Package * package, const QString & outfile, bool saveMatrix=false);

};

#endif /*NOP_OUT_H_*/
